Bug 864770 - Show exception when get cartridge status
Show exception when get cartridge status
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 01:01 EDT by Rony Gong
Modified: 2015-05-14 22:06 EDT (History)
1 user (show)

See Also:
Fixed In Version: fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_226
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2012-10-10 01:01:14 EDT
Description of problem:
Show exception when get cartridge status

Version-Release number of selected component (if applicable):
devenv_2304
client: build from fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_213

How reproducible:
always

Steps to Reproduce:
1.Create an app
$ rhc app create qjbosseap jbosseap
2.Embed mongodb cartridge
$ rhc cartridge add -a qjbosseap -c mongodb
3.Check the mongodb cartridge status
rhc cartridge status -a qjbosseap -c mongodb-2.2
  
Actual results:
[qgong@localhost dev]$ rhc cartridge status -a qjbosseap -c mongodb-2.2
Password: 

/usr/lib/ruby/gems/1.8/gems/highline-1.6.14/lib/highline.rb:599:in `say': undefined method `to_str' for #<Array:0x7f0ca0963788> (NoMethodError)
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.99.5/lib/rhc/helpers.rb:124:in `say'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.99.5/lib/rhc/commands/cartridge.rb:131:in `status'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.99.5/lib/rhc/commands.rb:129:in `send'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.99.5/lib/rhc/commands.rb:129:in `to_commander'
	from /usr/lib/ruby/gems/1.8/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
	from /usr/lib/ruby/gems/1.8/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
	from /usr/lib/ruby/gems/1.8/gems/commander-4.1.2/lib/commander/command.rb:155:in `run'
	from /usr/lib/ruby/gems/1.8/gems/commander-4.1.2/lib/commander/runner.rb:402:in `run_active_command'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.99.5/lib/rhc/command_runner.rb:48:in `run!'
	from /usr/lib/ruby/gems/1.8/gems/commander-4.1.2/lib/commander/delegates.rb:7:in `run!'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.99.5/lib/rhc/cli.rb:40:in `start'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.99.5/bin/rhc:21
	from /usr/bin/rhc:19:in `load'
	from /usr/bin/rhc:19

Expected results:
No exception, and get the right cartridge status.


Additional info:
Comment 1 Fabiano Franz 2012-10-10 17:58:08 EDT
Fixed in fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_226.
Comment 2 Rony Gong 2012-10-10 21:39:43 EDT
Verified on fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_226
[qgong@localhost dev]$ rhc cartridge status -a qsjboss -c mongodb 
Password: 


RESULT:
MongoDB is stopped

[qgong@localhost dev]$ rhc cartridge status -a qsjboss -c mongodb 
Password: 


RESULT:
MongoDB is running

Note You need to log in before you can comment on or make changes to this bug.